
{-----------------------------------------------------------------------------
 Unit Name: LinesToPrintDlg
 Project Name : Parametricas4
 Author:    Angel Montesinos Amilibia
 Dates: 2003-2009
 Purpose: Implements a simple dialog for chosing the preferences for resolution
          and texts to appear in the printed pages 
-----------------------------------------------------------------------------}
{

Parametricas4, workshop for the geometry of surfaces in R^4.


MIT License

Copyright (c) [2003 - 2018] [Angel Montesinos-Amilibia], email montesin@uv.es

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.


}


unit LinesToPrintDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ActnList, StdActns, ExtCtrls;

type
  TForm2 = class(TForm)
    Cancelar : TButton;
    botonOK : TButton;
    Label3: TLabel;
    ColorBackCheck: TCheckBox;
    Label2: TLabel;
    Label4: TLabel;
    TitleEdit: TEdit;
    ResolutionEdit: TEdit;
    FootText: TRadioGroup;
    SubTextEdit: TEdit;
    Label5: TLabel;
    procedure OnActivate(Sender : TObject);
    procedure OnOKButton(Sender : TObject);
    procedure OnCancelButton(Sender : TObject);

  PRIVATE
    { Private declarations }
  PUBLIC
  { Public declarations }
  end;

var
  Form2 : TForm2;

implementation

{$R *.DFM}
uses
  FParam4;


procedure TForm2.OnActivate(Sender : TObject);
begin
  visible := True;
  titleEdit.Text:= param4.caption;
end;

procedure TForm2.OnOKButton(Sender : TObject);
begin
  with param4 do begin
    printBackground:= ColorBackCheck.Checked;
    PrintEquations:=(FootText.ItemIndex = 0);
    PrintSubText:= not PrintEquations;
    prTitle:= TitleEdit.text;
    if PrintSubText then
      prSubText:= subTextEdit.Text
    else
      prSubText:= '';

    try
      prResolution:= StrToInt(ResolutionEdit.text);
      if prResolution > 5000 then begin
        prResolution:= 5000;
        ResolutionEdit.text:= '5000';
      end;
    except begin
        prResolution:= 1200;
        ResolutionEdit.text:= '1200';
      end;
    end;
  end;
  modalResult:= mrOK;
end;

procedure TForm2.OnCancelButton(Sender : TObject);
begin
  ModalResult := mrCancel;
end;

end.
